pbs_resources_sp2(7B)

NAME
pbs_resources_sp2 - pbs resources on IBM SP-2

DESCRIPTION
This page summarizes the resources supported by PBS for the IBM SP-2. These resources are specified by including them in the -l option argument on the qsub or qalter command or in the PBS job script.

RESOURCES

nice
    The nice value under which the job is to be run. Units: unitary.

walltime
    Maximum amount of real time during which the job can be in the running state. Units: time.

arch
    Specifies the administrator defined system architecture requried. This defaults to whatever the PBS_MACH string is set to in "local.mk". Units: string.

host
    Name of host on which job should be run. This resource is provided for use by the site's scheduling policy. The allowable values and effect on job placement is site dependent. Units: string.

nodes
    Number and/or type of nodes to be reserved for exclusive use by the job. The value is one or more node_specs joined with the '+' character, "node_spec[+node_spec...]. Each node_spec is an number of nodes required of the type declared in the node_spec and a name or one or more properity or properities desired for the nodes. The number, the name, and each properity in the node_spec are separated by a colon ':'. If no number is specified, one (1) is assumed. Units: string.

    The name of a node is its hostname. The properities of nodes are:

    .   ppn=# specifying the number of processors per node requested. Defaults to 1.

    .   arbitrary string assigned by the system administrator, please check with your administrator as to the node names and properities available to you.

    Examples:

    .   To ask for 12 nodes of any type: -l nodes=12

    .   To ask for 2 "server" nodes and 14 other nodes (a total of 16): -l nodes=2:server+14
        The above consist of two node_specs "2:server" and "14".

    .   To ask for (a) 1 node that is a "server" and has a "hippi" interface, (b) 10 nodes that are not servers, and (c) 3 nodes that have a large amount of memory an have hippi:
        -l nodes=server:hippi+10:noserver+3:bigmem:hippi

    .   To ask for three nodes by name:
        -l nodes=b2005+b1803+b1813

    .   To ask for 2 processors on each of four nodes:
        -l nodes=4:ppn=2

    .   To ask for 4 processors on one node:
        -l nodes=1:ppn=4

    .   To ask for 2 processors on each of two blue nodes and three processors on one red node:
        -l nodes=2:blue:ppn=2+red:ppn=3

host
    Allows a user to specify the desired execution location. This resource is provided for use by the site's scheduling policy. The allowable values and effect on job placement is site dependent. Units: string.

other
    Allows a user to specify site specific information. This resource is provided for use by the site's scheduling policy. The allowable values and effect on job placement is site dependent. Units: string.

software
    Allows a user to specify software required by the job. This is useful if certain software packages are only available on certain systems in the site. This resource is provided for use by the site's scheduling policy. The allowable values and effect on job placement is site dependent. Units: string.

  EXAMPLES
qsub -l nodes=15,walltime=2:00:00 script

or in a qsub script as a directive:

#PBS -l nodes=15,walltime=2:00:00

RESOURCE UNITS
The resource values take the following units:

time
    specifies a maximum time period the resource can be used. Time is expressed in seconds as an integer, or in the form:

unitary
    The maximum amount of a resource which is expressed as a simple integer.

SEE ALSO
the PBS ERS, qsub(1B), qalter(1B), pbs_submit(3B), pbs_alterjob(3B), pbs_statjob(3b) pbs_resources_aix4(7B), pbs_resources_irix5(7B) pbs_resources_sunos4(7B), pbs_resources_unicos8(7B)